package com.ruoyi.ai.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiRechargeGift;
import org.apache.ibatis.annotations.Param;

/**
 * 充值赠送活动Mapper接口
 *
 * @author shi
 * @date 2025-11-20
 */
public interface AiRechargeGiftMapper extends BaseMapper<AiRechargeGift> {
    int deleteAiRechargeGiftByIds(Long[] ids);

    int deleteAiRechargeGiftById(Long id);

    List<AiRechargeGift> selectAiRechargeGiftList(AiRechargeGift aiRechargeGift);

    AiRechargeGift selectAiRechargeGiftById(Long id);

    void updateAllStatus();

    boolean isActivityAvailable(@Param("id") Long rechargeId);
}
